Bug 163588 - Installation hangs after selection of packages and checking dependencies
Installation hangs after selection of packages and checking dependencies
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-07-19 04:53 EDT by John Williams
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-15 02:30:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Williams 2005-07-19 04:53:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I installed FC4 on the first computer with no problems using Anaconda's Graphical Interface and all 4 CDs had passed the Media Check. 
On the second computer the installation went OK until after I selected packages for installation and after I got the popup window saying I would need CDs 1,2,3,4. When I clicked to start the installation, everything stopped. All buttons were greyed out except 'Release Notes' which didn't work. I had to press reset on my computer.
I repeated this procedure several times with the exactly the same result. The first time I selected automatic partitioning with deletion of previous Linux partitions (an installation of FC2). Then I started getting partition errors when requesting automatic partitioning (I assume because I had to reset the computer).
I then restarted the computer in rescue mode and used fdisk to delete all Linux partitions so that I could work with free space.
For the next attempt I configured the partitions manually. Everything went well up to the same point when I clicked to start installation and the computer hung. (I had selected to format the partitions I had created and this was the point when the formatting should have started, I think.)
So I had to press reset on the computer again. I then found that the boot loader wasn't working (I have Windows 98 on the same computer).

To get things working again I decided to install FC3 (from 4 CDs).
I deleted Linux partitions using fdisk and manually configured partitions during installation (the same partition set up I had tried with FC4). There were no problems at all with installation.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install using graphical interface
2.Automatic or manual partitioning
3.Selection of packages and proceed to install

Actual Results:  Computer hangs requiring reset.

Expected Results:  Formatting and installation of FC4 with chosen packages.

Additional info:

The Motherboard is Eagletec (PC Chips), 512Mb DDR RAM, hda is an 8GB IDE hard drive and hdb is an 80GB IDE hard drive. I had selected MBR for the boot option.
Comment 1 Jeremy Katz 2005-07-26 00:02:23 EDT
Were the leds on your keyboard blinking when it hung?
Comment 2 John Williams 2005-07-26 03:17:35 EDT
I don't think so. I'm sure I would have noticed blinking, because I tried
ctrl+alt+del several times before pressing 'Reset' on the computer. 
Comment 3 Jeremy Katz 2005-07-26 10:48:17 EDT
If ctrl-alt-del wasn't doing anything, then the kernel at least was hung.
Comment 4 Dave Jones 2005-08-26 17:45:54 EDT
if you could repeat this, hit ctrl-alt-f2 just after selecting packages.
If it's getting a kernel panic, we'll at least be able to see some of it this way.
Comment 5 John Williams 2005-09-14 18:00:10 EDT
I don't think this will be much use to you.

I went through the installation process as far as I could without actually
starting the install. I tried both upgrading the present installation  and
making a new installation. After selecting packages or getting ready to start
installation I pressed 
ctrl+alt+f2 but I just got a prompt:

You may remember I was previously trying to install FC4 as a replacement for FC2
and after the boot loader got corrupted I installed FC3 to get my computer
working again.

So now I've gone through with the installation of FC4 as an Upgrade to FC3 and
it worked OK. (The only error message was package ..termcap.. could not be
installed because the files could not be read. But after I pressed enter when
prompted on screen the installation proceeded without a hitch. Maybe my CD drive
is not as good as it should be, because the media was checked.)

I'm sorry I couldn't reproduce the original fault, but I'm happy I've got FC4
All the best!

Comment 6 Dave Jones 2005-09-15 02:30:13 EDT
well, now that you're installed (and hopefully still working after installing
the updates), I'm not sure what we can do here.

The problem with termcap does sound like a hardware problem (be that with your
CD drive or the media), as it hasn't been reported elsewhere to the best of my
knowledge. Another thing you may want to try is running memtest86 overnight.
Read failures can occur if data gets read into bad memory.


Note You need to log in before you can comment on or make changes to this bug.